<?php
/**
 * This was contained in an addon until version 1.0.0 when it was rolled into
 * core.
 *
 * @package    WBOLT
 * @author     WBOLT
 * @since      1.1.0
 * @license    GPL-2.0+
 * @copyright  Copyright (c) 2019, WBOLT
 */
$cfg_tags = array('a','div','span','article','figcaption','figure','blockquote','section','canvas');
?>

<div class="wb-dialog wbd-cht" id="J_wbDialogCHT" style="display:none;">
    <div class="wbd-inner">
        <div class="wbd-hd">清除选项</div>
        <div class="wbd-bd">
            <h4>选择要移除的标签</h4>
            <div class="wb-checkbox-list">
                <?php foreach($cfg_tags as $v): ?>
                    <label>
                        <input type="checkbox" class="wb-cls-tag" name="cls-tag-items" value="<?php echo $v; ?>" checked>
                        &lt;<?php echo $v; ?>&gt;
                    </label>
                <?php endforeach; ?>
                <?php
                $tag_combine = array('table'=>'table|tr|td|tbody|thead|tfoot');
                foreach(array('table','tbody','thead','tfoot','header','footer','ul','li','ol','dt','dd','dl','hr','br','em','b','i','strong','iframe','ins','h1','h2','h3','h4') as $v): ?>
                    <label>
                        <input type="checkbox" class="wb-cls-tag" name="cls-tag-items" value="<?php echo isset($tag_combine[$v])?$tag_combine[$v]:$v; ?>">
                        &lt;<?php echo $v; ?>&gt;
                    </label>
                <?php endforeach; ?>
                <input type="hidden" placeholder="要清除的标签,|线隔" id="cls-tag-val" value="a|div|span|article|figcaption|figure|blockquote|section|canvas"/>
            </div>

            <h4>选择要移除的属性</h4>
            <div class="wb-checkbox-list">
                <?php foreach(array('id','class','style') as $v): ?>
                    <label>
                        <input type="checkbox" class="wb-cls-attr" name="cls-attr-item" value="<?php echo $v; ?>" checked>
                        <?php echo $v; ?>
                    </label>
                <?php endforeach; ?>

                <?php
                foreach(array('srcset','sizes','width','height','data-*') as $v): ?>
                    <label>
                        <input type="checkbox" class="wb-cls-attr" name="cls-attr-item" value="<?php echo $v; ?>">
                        <?php echo $v; ?>
                    </label>
                <?php endforeach; ?>

               <!-- <label>
                    <input class="wb-cls-attr" name="wb_cls_type" value="1" type="checkbox" checked>
                    <span>删除所有标签属性，如id, class, style等</span>
                </label>-->
            </div>
        </div>
        <div class="wbd-ft">
            <input type="button" class="wb-btn wb-btn-primary wb-save button" value="保存">
        </div>
        <a class="wb-close"><i class="wbui-icon close"></i></a>
    </div>
</div>
